﻿using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace RET_igGrid.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
			GridModel gridModel = new GridModel();

			GridUpdating updating = new GridUpdating()

			{

				AddRowLabel = "New Customer",

				EnableAddRow = true,

				EditMode = GridEditMode.Dialog,

				EnableDeleteRow = false,

				RowEditDialogOptions = new RowEditDialogOptions()

				{

					Width = "400px",

					Height = "400px",

					CaptionLabel = "Customer",

					Containment = "window",

				}

			};

			gridModel.Features.Add(updating);



			List<ColumnUpdatingSetting> columnSettings = new List<ColumnUpdatingSetting>();

			ColumnUpdatingSetting setting = new ColumnUpdatingSetting();
			setting.ColumnKey = "Name";
			setting.Required = true;

			columnSettings.Add(setting);


			updating.RowEditDialogOptions.DialogTemplateSelector = "#dialogTemplate";
			updating.RowEditDialogOptions.EditorsTemplateSelector = "#editorsTemplate";
			
			updating.ColumnSettings = columnSettings; 
			gridModel.Features.Add(updating);


			gridModel.PrimaryKey = "ID";
			gridModel.DataSource = GetData().AsQueryable();

			return View(gridModel);
        }

		private List<Item> GetData()
		{
			List<Item> items = new List<Item>();
			for (int i = 0; i < 20; i++)
			{
				items.Add(new Item() { ID=i, Name="Name "+i, Price=i });
			}
			return items;
		}
    }
}